(** Internal - Low level protocol description *)
(***********************************)
(* AUTOGENERATED FILE: DO NOT EDIT *)
(* ./gen_spec.exe -type constants amqp0-9-1.extended.xml *)
(***********************************)


(* Constants *)
(* spec/gen_spec.ml:221 *)
let frame_method = 1
(* spec/gen_spec.ml:221 *)
let frame_header = 2
(* spec/gen_spec.ml:221 *)
let frame_body = 3
(* spec/gen_spec.ml:221 *)
let frame_heartbeat = 8
(* spec/gen_spec.ml:221 *)
let frame_min_size = 4096
(* spec/gen_spec.ml:221 *)
let frame_end = 206

(** 
      Indicates that the method completed successfully. This reply code is
      reserved for future use - the current protocol design does not use positive
      confirmation and reply codes are sent only in case of an error.
     *)
(* spec/gen_spec.ml:221 *)
let reply_success = 200

(** 
      The client attempted to transfer content larger than the server could accept
      at the present time. The client may retry at a later time.
     *)
(* spec/gen_spec.ml:221 *)
let content_too_large = 311

(** 
          Returned when RabbitMQ sends back with 'basic.return' when a
          'mandatory' message cannot be delivered to any queue.
       *)
(* spec/gen_spec.ml:221 *)
let no_route = 312

(** 
      When the exchange cannot deliver to a consumer when the immediate flag is
      set. As a result of pending data on the queue or the absence of any
      consumers of the queue.
     *)
(* spec/gen_spec.ml:221 *)
let no_consumers = 313

(** 
      An operator intervened to close the connection for some reason. The client
      may retry at some later date.
     *)
(* spec/gen_spec.ml:221 *)
let connection_forced = 320

(** 
      The client tried to work with an unknown virtual host.
     *)
(* spec/gen_spec.ml:221 *)
let invalid_path = 402

(** 
      The client attempted to work with a server entity to which it has no
      access due to security settings.
     *)
(* spec/gen_spec.ml:221 *)
let access_refused = 403

(** 
      The client attempted to work with a server entity that does not exist.
     *)
(* spec/gen_spec.ml:221 *)
let not_found = 404

(** 
      The client attempted to work with a server entity to which it has no
      access because another client is working with it.
     *)
(* spec/gen_spec.ml:221 *)
let resource_locked = 405

(** 
      The client requested a method that was not allowed because some precondition
      failed.
     *)
(* spec/gen_spec.ml:221 *)
let precondition_failed = 406

(** 
      The sender sent a malformed frame that the recipient could not decode.
      This strongly implies a programming error in the sending peer.
     *)
(* spec/gen_spec.ml:221 *)
let frame_error = 501

(** 
      The sender sent a frame that contained illegal values for one or more
      fields. This strongly implies a programming error in the sending peer.
     *)
(* spec/gen_spec.ml:221 *)
let syntax_error = 502

(** 
      The client sent an invalid sequence of frames, attempting to perform an
      operation that was considered invalid by the server. This usually implies
      a programming error in the client.
     *)
(* spec/gen_spec.ml:221 *)
let command_invalid = 503

(** 
      The client attempted to work with a channel that had not been correctly
      opened. This most likely indicates a fault in the client layer.
     *)
(* spec/gen_spec.ml:221 *)
let channel_error = 504

(** 
      The peer sent a frame that was not expected, usually in the context of
      a content header and body.  This strongly indicates a fault in the peer's
      content processing.
     *)
(* spec/gen_spec.ml:221 *)
let unexpected_frame = 505

(** 
      The server could not complete the method because it lacked sufficient
      resources. This may be due to the client creating too many of some type
      of entity.
     *)
(* spec/gen_spec.ml:221 *)
let resource_error = 506

(** 
      The client tried to work with some entity in a manner that is prohibited
      by the server, due to security settings or by some other criteria.
     *)
(* spec/gen_spec.ml:221 *)
let not_allowed = 530

(** 
      The client tried to use functionality that is not implemented in the
      server.
     *)
(* spec/gen_spec.ml:221 *)
let not_implemented = 540

(** 
      The server could not complete the method because of an internal error.
      The server may require intervention by an operator in order to resume
      normal operations.
     *)
(* spec/gen_spec.ml:221 *)
let internal_error = 541
